import React from 'react';
import './index.scss';
export interface FieldProps {
    fieldName: string;
    displayName: string;
    isEdit: boolean;
    isEmpty: boolean;
    defaultValue: any;
    bizType: string;
    colSpan: number;
    isShow: boolean;
    key: string;
    style?: object;
}
interface StateProps {
}
declare class Field extends React.Component<FieldProps, StateProps> {
    static displayName: string;
    constructor(props: FieldProps);
    render(): React.ReactNode;
}
export default Field;
